### Property

# Gtk ScaleButton:icons

#### Declaration

    property icons: string[] [ read, write ]

#### Description [src]

The names of the icons to be used by the scale button.

The first item in the array will be used in the button when the current value is the lowest value, the second item for the highest value. All the subsequent icons will be used for all the other values, spread evenly over the range of values.

If there’s only one icon name in the `icons` array, it will be used for all the values. If only two icon names are in the `icons` array, the first one will be used for the bottom 50% of the scale, and the second one for the top 50%.

It is recommended to use at least 3 icons so that the `GtkScaleButton` reflects the current value of the scale better for the users.

Type: | An array of `char*`

Setter method | `gtk_scale_button_set_icons()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no